#
# based on Joern Kaipf's OOCDLink
# extended by Gregor Rebel with additional SWD-support
#
# http://TheToolChain.com
#
# Configuration file for OpenOCD v0.8.0 and newer

interface ftdi
ftdi_vid_pid 0x0403 0xbafa
ftdi_device_desc "OpenGLink_r11"
ftdi_layout_init 0x0508 0x0f1b
ftdi_layout_signal nTRST -data 0x0200 -noe 0x0100
ftdi_layout_signal nSRST -data 0x0800 -noe 0x0400

adapter_khz 1000
reset_config trst_and_srst separate trst_push_pull srst_push_pull

